Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Available

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Available

public class Available
extends Task

Will set the given property if the requested resource is available at runtime.

Author:
  Stefano Mazzocchi stefano@apache.org

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Available()`

Method Summary
`Path` | `createClasspath()`
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setClassname(java.lang.String classname)`
`void` | `setClasspath(Path classpath)`
`void` | `setClasspathRef(Reference r)`
`void` | `setFile(java.io.File file)`
`void` | `setProperty(java.lang.String property)`
`void` | `setResource(java.lang.String resource)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Available

    public Available()

Method Detail

### setClasspath

    public void setClasspath(Path classpath)

### createClasspath

    public Path createClasspath()

### setClasspathRef

    public void setClasspathRef(Reference r)

### setProperty

    public void setProperty(java.lang.String property)

### setValue

    public void setValue(java.lang.String value)

### setClassname

    public void setClassname(java.lang.String classname)

### setFile

    public void setFile(java.io.File file)

### setResource

    public void setResource(java.lang.String resource)

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.